"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUrlLoadRows = void 0;
var react_1 = __importDefault(require("react"));
var primeobjects_ui_web_application_1 = require("primeobjects-ui-web-application");
var action_button_1 = __importDefault(require("primeobjects-ui-web-application/build/cjs/controls/action-button"));
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var lottie_1 = __importDefault(require("primeobjects-ui-web-basic/build/cjs/controls/lottie"));
var getUrlLoadRows = function (props) {
    var _a, _b, _c;
    var record = props.record, onDoing = props.onDoing, isDoing = props.isDoing, solution = props.solution, show = props.show, isError = props.isError, onError = props.onError, toRefreshForm = props.toRefreshForm, onFinishProcess = props.onFinishProcess, primaryColor = props.primaryColor;
    var name = (_a = props.name) !== null && _a !== void 0 ? _a : "url";
    var label = (_b = props.label) !== null && _b !== void 0 ? _b : "Address/URL";
    var placeholder = (_c = props.placeholder) !== null && _c !== void 0 ? _c : "Type the address/URLhere";
    var action = "process-web-page";
    var onClickLoadWebContent = function () {
        if (record.sourceUrl) {
            onDoing(action, true);
            (0, primeobjects_ui_web_application_1.callApi)(solution, (0, primeobjects_ui_web_application_1.getApiEndpoint)(solution, "content", "process-web-page"), 
            // "http://localhost:3000/prod/process-web-page ",
            { url: record.sourceUrl }, "POST")
                .then(function (response) {
                var result = (0, primeobjects_helper_util_1.processWebPage)(record.sourceUrl, response.result, {});
                if (result) {
                    if (result === null || result === void 0 ? void 0 : result.error) {
                        onError(action, "failed", result === null || result === void 0 ? void 0 : result.error);
                    }
                    else {
                        onFinishProcess(result);
                    }
                }
                toRefreshForm();
            })
                .catch(function (error) {
                onError(action, "failed", error);
            })
                .finally(function () {
                onDoing(action, false);
            });
        }
    };
    return show
        ? [
            {
                style: { paddingBottom: "0.5rem" },
                fields: [
                    {
                        name: name,
                        label: label,
                        type: "single-line-input",
                        format: "url",
                        placeholder: placeholder
                    }
                ]
            },
            isError(action, "failed") && {
                name: "".concat(name, "ProcessFailed"),
                type: "container",
                content: (react_1.default.createElement("div", { className: "w-full text-red-600 px-3 pb-3" }, "Sorry, it was failed to load and process the web content. Note: some web addresses are protected by authentication or not allowed to be crawled by external script."))
            },
            !isDoing(action) && {
                fields: [
                    {
                        name: "".concat(name, "LoadButtons"),
                        content: (react_1.default.createElement("div", { className: "w-full" },
                            react_1.default.createElement(action_button_1.default, { id: "".concat(name, "LoadButton"), onClick: onClickLoadWebContent, wrapperClassName: "bg-sky-500 hover:bg-sky-600 float-left min-w-36 px-3", wrapperStyle: { marginLeft: 0 }, text: "Load web content", textColor: primeobjects_helper_util_1.COLORS.WHITE }))),
                        type: "custom"
                    }
                ]
            },
            isDoing(action) && {
                fields: [
                    {
                        name: "".concat(name, "Loading"),
                        content: (react_1.default.createElement("div", { className: "w-full flex flex-row" },
                            react_1.default.createElement("div", { className: "h-10" },
                                react_1.default.createElement(lottie_1.default, { className: "w-full h-full", url: "/icons/platform/lottie/dots-2.json", colors: Array(6).fill(primaryColor[700]) })),
                            react_1.default.createElement("div", { className: "flex-1 text-base text-".concat(primaryColor.name, "-700 p-2") }, "loading and processing the web page ..."))),
                        type: "custom"
                    }
                ]
            }
        ]
        : [];
};
exports.getUrlLoadRows = getUrlLoadRows;
//# sourceMappingURL=url-load-rows.js.map