"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPublishGlobalRows = void 0;
var getPublishGlobalRows = function (customProps) {
    var toShow = customProps.toShow, onShow = customProps.onShow, entity = customProps.entity, publishToGlobalType = customProps.publishToGlobalType;
    var NOTE_FOR_PUBLISH_MARKETPLACE = "After publish your ".concat(entity.uiName, " to the marketplace, it will be available for for all users on the Internet to subscribe or purchase.");
    var NOTE_FOR_PUBLISH_INTERNET_READ = "After publish your ".concat(entity.uiName, ", it will be available for all users on the Internet to read.");
    var getPublishToGlobalLabel = function () {
        switch (publishToGlobalType) {
            case "marketplace":
                return "Publish to marketplace";
            default:
                return "Publish to web";
        }
    };
    return [
        {
            fields: [
                {
                    wrapperStyle: {
                        marginBottom: 0
                    },
                    name: "publishSection",
                    type: "section",
                    line: "Publish the ".concat(entity.uiName)
                }
            ]
        },
        toShow("publish-to-user") &&
            publishToGlobalType == "internet-read" && {
            fields: [
                {
                    name: "publishToUserNote",
                    type: "alert-info",
                    line: NOTE_FOR_PUBLISH_INTERNET_READ,
                    onClickClose: function () {
                        onShow("publish-to-user", false);
                    }
                }
            ]
        },
        toShow("publish-to-global") &&
            publishToGlobalType == "marketplace" && {
            fields: [
                {
                    name: "publishToGlobalNote",
                    type: "alert-warning",
                    line: NOTE_FOR_PUBLISH_MARKETPLACE,
                    onClickClose: function () {
                        onShow("publish-to-global", false);
                    }
                }
            ]
        },
        {
            fields: [
                {
                    name: "isPublished",
                    type: "checkbox",
                    label: "Publish to users",
                    defaultValue: false,
                    onClickInfo: function () {
                        onShow("publish-to-user", !toShow("publish-to-user"));
                    }
                },
                {
                    name: "isGlobal",
                    type: "checkbox",
                    label: getPublishToGlobalLabel(),
                    defaultValue: false,
                    infoIconColorName: "red",
                    onClickInfo: function () {
                        onShow("publish-to-global", !toShow("publish-to-global"));
                    }
                }
            ]
        }
    ];
};
exports.getPublishGlobalRows = getPublishGlobalRows;
//# sourceMappingURL=publish-global-rows.js.map