import { getThemeOptions } from "primeobjects-ui-web-form/build/cjs/fields/util";
import { isNonEmptyString } from "primeobjects-helper-util";
import { isObject } from "lodash";
export var getForm = function (customProps) {
    var primaryColor = customProps.primaryColor;
    var getRows = function (record) {
        return [
            {
                fields: [
                    {
                        name: "name",
                        alwaysShowLabel: true,
                        label: "Name",
                        type: "single-line-input",
                        placeholder: "Type the name here"
                    }
                ]
            },
            {
                fields: [
                    {
                        name: "color",
                        label: "Theme",
                        type: "picklist",
                        defaultValue: JSON.stringify(primaryColor),
                        options: getThemeOptions(),
                        value: isObject(record.color)
                            ? JSON.stringify(record.color)
                            : record.color,
                        useFieldValue: true,
                        allowClear: false,
                        onChange: function (record) {
                            if (isNonEmptyString(record.color)) {
                                var color = JSON.parse(record.color);
                                record.color = color;
                                record.color_data.value = color;
                            }
                            return record;
                        },
                        search: false,
                        required: true
                    }
                ]
            },
            {
                fields: [
                    {
                        name: "description",
                        alwaysShowLabel: true,
                        label: "Description",
                        type: "multi-line-input",
                        placeholder: "Type the description here"
                    }
                ]
            },
            {
                fields: [
                    {
                        name: "contactSection",
                        line: "Contact Information",
                        type: "section"
                    }
                ]
            },
            {
                fields: [
                    {
                        groupName: "contact",
                        name: "name",
                        alwaysShowLabel: true,
                        label: "Contact name",
                        placeholder: "Type the name here",
                        type: "single-line-input"
                    },
                    {
                        groupName: "contact",
                        name: "mobile",
                        alwaysShowLabel: true,
                        label: "Contact mobile number",
                        placeholder: "Type the mobile number here",
                        type: "single-line-input"
                    }
                ]
            },
            {
                fields: [
                    {
                        groupName: "contact",
                        name: "email",
                        alwaysShowLabel: true,
                        label: "Contact email address",
                        placeholder: "Type the email address here",
                        type: "single-line-input"
                    }
                ]
            },
            {
                fields: [
                    {
                        name: "senderSection",
                        line: "Sender Information",
                        subLine: "The senders defined here will be used in the email service and SMS service.",
                        type: "section"
                    }
                ]
            },
            {
                fields: [
                    {
                        groupName: "sender",
                        name: "name",
                        alwaysShowLabel: true,
                        label: "Sender's name",
                        placeholder: "Type the name here",
                        type: "single-line-input"
                    },
                    {
                        groupName: "sender",
                        name: "mobile",
                        alwaysShowLabel: true,
                        label: "Sender's mobile number",
                        placeholder: "Type the mobile number here",
                        type: "single-line-input"
                    }
                ]
            },
            {
                fields: [
                    {
                        groupName: "sender",
                        name: "email",
                        alwaysShowLabel: true,
                        label: "Sender's email address",
                        placeholder: "Type the email address here",
                        type: "single-line-input"
                    }
                ]
            }
        ];
    };
    return {
        id: "general",
        tooltip: "General information",
        iconSrc: "/icons/platform/form.svg",
        getRows: getRows
    };
};
//# sourceMappingURL=general.js.map