var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from "react";
import { getForm as getGeneralForm } from "./general";
import { getForm as getAuthForm } from "./auth";
import { getForm as getAppJSONForm } from "./app-json";
import { getForm as getSiteJSONForm } from "./site-json";
import { getForm as getFormForAPIKeys } from "./api-keys";
import { getForm as getEntitiesJSONForm } from "./entities-json";
import { hasRole } from "primeobjects-helper-util";
import { useSolution } from "primeobjects-helper-ui";
import { useCurrentContext } from "primeobjects-ui-web-application/build/cjs/context/use-current-context";
var DISPLAY_NAME = "SolutionForm";
export var SolutionForm = function (props) {
    var entity = props.entity, record = props.record;
    var FormWrapper = props.FormWrapper;
    var solution = useSolution();
    var currentContext = useCurrentContext(solution);
    var isSolutionAdmin = hasRole(currentContext, "SOLUTION-ADMIN");
    return (React.createElement(FormWrapper, __assign({}, props, { hideActionButton: true, tabs: isSolutionAdmin
            ? [
                getGeneralForm,
                getAuthForm,
                getFormForAPIKeys,
                getAppJSONForm,
                getSiteJSONForm,
                getEntitiesJSONForm
            ]
            : [getGeneralForm, getAuthForm, getFormForAPIKeys], entity: entity, record: record })));
};
SolutionForm.displayName = DISPLAY_NAME;
export default SolutionForm;
//# sourceMappingURL=index.js.map