import React from "react";
import MultiLineInputField from "primeobjects-ui-web-form/build/cjs/fields/input/multi-line-input";
import { COLORS } from "primeobjects-helper-util";
export var getForm = function (customProps) {
    var toChangeRecord = customProps.toChangeRecord;
    var getRows = function (record) {
        return [
            {
                fields: [
                    {
                        name: "siteJSON",
                        alwaysShowLabel: true,
                        label: "Site settings",
                        type: "container",
                        content: (React.createElement(MultiLineInputField, { inputWrapperStyle: {
                                border: "none"
                            }, inputClassName: "input", inputStyle: {
                                border: "solid 1px ".concat(COLORS.GRAY["200"])
                            }, id: "siteJSONMultiLineInputField", value: JSON.stringify(record.site, null, 4), onChange: function (newValue) {
                                try {
                                    if (newValue) {
                                        record.site = JSON.parse(newValue);
                                        toChangeRecord(record);
                                    }
                                }
                                catch (_a) { }
                            } }))
                    }
                ]
            }
        ];
    };
    return {
        id: "siteJSON",
        tooltip: "Site settings",
        iconSrc: "/icons/platform/settings.svg",
        getRows: getRows
    };
};
//# sourceMappingURL=site-json.js.map